get version entrypoints
curl --request GET \
--url https://api.example.com/security/versions/{version_id}/entrypoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/security/versions/{version_id}/entrypoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/security/versions/{version_id}/entrypoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"node": {
"id": "<string>",
"file_id": "<string>",
"file_path": "<string>",
"short_id": "<string>",
"node_type": "<string>",
"src_start_pos": 123,
"src_end_pos": 123,
"path": "<string>",
"name": "<string>",
"merkle_hash": "<string>",
"is_callable": true,
"is_declaration": true,
"is_container": true,
"is_entrypoint": true,
"sub_type": "<string>",
"docstring": "<string>",
"visibility": "external",
"mutability": "<string>",
"is_virtual": false,
"is_implemented": false,
"signature": "<string>",
"fields": [
{
"name": "<string>",
"type": "<string>",
"value": "<string>",
"mutability": "<string>",
"discriminant": 123,
"constraints": [
{
"name": "<string>",
"value": [
"<string>"
]
}
]
}
],
"parameters": [
{
"param_index": 123,
"start_byte": 123,
"is_read": false,
"is_written": false,
"field": "<string>",
"param_name": "<string>",
"type_name": "<string>"
}
]
},
"is_analyzed": true,
"is_inherited": true,
"is_analyzed_in_current": true,
"pipeline_status": "not_run",
"n_findings": 0
}
]
}{
"code": "auth.session_expired",
"message": "<string>"
}analysis version
get version entrypoints
retrieve the entrypoints in scope for an analysis version
GET
/
security
/
versions
/
{version_id}
/
entrypoints
get version entrypoints
⌘I
